package com.chinaitop.depot.keeperAccount.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class StorageAccountRecordExample {
    /**
     * storage_account_record
     */
    protected String orderByClause;

    /**
     * storage_account_record
     */
    protected boolean distinct;

    /**
     * storage_account_record
     */
    protected List<Criteria> oredCriteria;

    public StorageAccountRecordExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * storage_account_record 2019-06-21
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(Integer value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(Integer value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(Integer value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(Integer value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(Integer value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<Integer> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<Integer> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(Integer value1, Integer value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(Integer value1, Integer value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andAccountTypeIsNull() {
            addCriterion("account_type is null");
            return (Criteria) this;
        }

        public Criteria andAccountTypeIsNotNull() {
            addCriterion("account_type is not null");
            return (Criteria) this;
        }

        public Criteria andAccountTypeEqualTo(Integer value) {
            addCriterion("account_type =", value, "accountType");
            return (Criteria) this;
        }

        public Criteria andAccountTypeNotEqualTo(Integer value) {
            addCriterion("account_type <>", value, "accountType");
            return (Criteria) this;
        }

        public Criteria andAccountTypeGreaterThan(Integer value) {
            addCriterion("account_type >", value, "accountType");
            return (Criteria) this;
        }

        public Criteria andAccountTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("account_type >=", value, "accountType");
            return (Criteria) this;
        }

        public Criteria andAccountTypeLessThan(Integer value) {
            addCriterion("account_type <", value, "accountType");
            return (Criteria) this;
        }

        public Criteria andAccountTypeLessThanOrEqualTo(Integer value) {
            addCriterion("account_type <=", value, "accountType");
            return (Criteria) this;
        }

        public Criteria andAccountTypeIn(List<Integer> values) {
            addCriterion("account_type in", values, "accountType");
            return (Criteria) this;
        }

        public Criteria andAccountTypeNotIn(List<Integer> values) {
            addCriterion("account_type not in", values, "accountType");
            return (Criteria) this;
        }

        public Criteria andAccountTypeBetween(Integer value1, Integer value2) {
            addCriterion("account_type between", value1, value2, "accountType");
            return (Criteria) this;
        }

        public Criteria andAccountTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("account_type not between", value1, value2, "accountType");
            return (Criteria) this;
        }

        public Criteria andHouseIdIsNull() {
            addCriterion("house_id is null");
            return (Criteria) this;
        }

        public Criteria andHouseIdIsNotNull() {
            addCriterion("house_id is not null");
            return (Criteria) this;
        }

        public Criteria andHouseIdEqualTo(String value) {
            addCriterion("house_id =", value, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdNotEqualTo(String value) {
            addCriterion("house_id <>", value, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdGreaterThan(String value) {
            addCriterion("house_id >", value, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdGreaterThanOrEqualTo(String value) {
            addCriterion("house_id >=", value, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdLessThan(String value) {
            addCriterion("house_id <", value, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdLessThanOrEqualTo(String value) {
            addCriterion("house_id <=", value, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdIn(List<String> values) {
            addCriterion("house_id in", values, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdNotIn(List<String> values) {
            addCriterion("house_id not in", values, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdBetween(String value1, String value2) {
            addCriterion("house_id between", value1, value2, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdNotBetween(String value1, String value2) {
            addCriterion("house_id not between", value1, value2, "houseId");
            return (Criteria) this;
        }

        public Criteria andWareIdIsNull() {
            addCriterion("ware_id is null");
            return (Criteria) this;
        }

        public Criteria andWareIdIsNotNull() {
            addCriterion("ware_id is not null");
            return (Criteria) this;
        }

        public Criteria andWareIdEqualTo(String value) {
            addCriterion("ware_id =", value, "wareId");
            return (Criteria) this;
        }

        public Criteria andWareIdNotEqualTo(String value) {
            addCriterion("ware_id <>", value, "wareId");
            return (Criteria) this;
        }

        public Criteria andWareIdGreaterThan(String value) {
            addCriterion("ware_id >", value, "wareId");
            return (Criteria) this;
        }

        public Criteria andWareIdGreaterThanOrEqualTo(String value) {
            addCriterion("ware_id >=", value, "wareId");
            return (Criteria) this;
        }

        public Criteria andWareIdLessThan(String value) {
            addCriterion("ware_id <", value, "wareId");
            return (Criteria) this;
        }

        public Criteria andWareIdLessThanOrEqualTo(String value) {
            addCriterion("ware_id <=", value, "wareId");
            return (Criteria) this;
        }

        public Criteria andWareIdIn(List<String> values) {
            addCriterion("ware_id in", values, "wareId");
            return (Criteria) this;
        }

        public Criteria andWareIdNotIn(List<String> values) {
            addCriterion("ware_id not in", values, "wareId");
            return (Criteria) this;
        }

        public Criteria andWareIdBetween(String value1, String value2) {
            addCriterion("ware_id between", value1, value2, "wareId");
            return (Criteria) this;
        }

        public Criteria andWareIdNotBetween(String value1, String value2) {
            addCriterion("ware_id not between", value1, value2, "wareId");
            return (Criteria) this;
        }

        public Criteria andRecordUniteIsNull() {
            addCriterion("record_unite is null");
            return (Criteria) this;
        }

        public Criteria andRecordUniteIsNotNull() {
            addCriterion("record_unite is not null");
            return (Criteria) this;
        }

        public Criteria andRecordUniteEqualTo(String value) {
            addCriterion("record_unite =", value, "recordUnite");
            return (Criteria) this;
        }

        public Criteria andRecordUniteNotEqualTo(String value) {
            addCriterion("record_unite <>", value, "recordUnite");
            return (Criteria) this;
        }

        public Criteria andRecordUniteGreaterThan(String value) {
            addCriterion("record_unite >", value, "recordUnite");
            return (Criteria) this;
        }

        public Criteria andRecordUniteGreaterThanOrEqualTo(String value) {
            addCriterion("record_unite >=", value, "recordUnite");
            return (Criteria) this;
        }

        public Criteria andRecordUniteLessThan(String value) {
            addCriterion("record_unite <", value, "recordUnite");
            return (Criteria) this;
        }

        public Criteria andRecordUniteLessThanOrEqualTo(String value) {
            addCriterion("record_unite <=", value, "recordUnite");
            return (Criteria) this;
        }

        public Criteria andRecordUniteLike(String value) {
            addCriterion("record_unite like", value, "recordUnite");
            return (Criteria) this;
        }

        public Criteria andRecordUniteNotLike(String value) {
            addCriterion("record_unite not like", value, "recordUnite");
            return (Criteria) this;
        }

        public Criteria andRecordUniteIn(List<String> values) {
            addCriterion("record_unite in", values, "recordUnite");
            return (Criteria) this;
        }

        public Criteria andRecordUniteNotIn(List<String> values) {
            addCriterion("record_unite not in", values, "recordUnite");
            return (Criteria) this;
        }

        public Criteria andRecordUniteBetween(String value1, String value2) {
            addCriterion("record_unite between", value1, value2, "recordUnite");
            return (Criteria) this;
        }

        public Criteria andRecordUniteNotBetween(String value1, String value2) {
            addCriterion("record_unite not between", value1, value2, "recordUnite");
            return (Criteria) this;
        }

        public Criteria andLspzIsNull() {
            addCriterion("lspz is null");
            return (Criteria) this;
        }

        public Criteria andLspzIsNotNull() {
            addCriterion("lspz is not null");
            return (Criteria) this;
        }

        public Criteria andLspzEqualTo(Integer value) {
            addCriterion("lspz =", value, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzNotEqualTo(Integer value) {
            addCriterion("lspz <>", value, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzGreaterThan(Integer value) {
            addCriterion("lspz >", value, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzGreaterThanOrEqualTo(Integer value) {
            addCriterion("lspz >=", value, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzLessThan(Integer value) {
            addCriterion("lspz <", value, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzLessThanOrEqualTo(Integer value) {
            addCriterion("lspz <=", value, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzIn(List<Integer> values) {
            addCriterion("lspz in", values, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzNotIn(List<Integer> values) {
            addCriterion("lspz not in", values, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzBetween(Integer value1, Integer value2) {
            addCriterion("lspz between", value1, value2, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzNotBetween(Integer value1, Integer value2) {
            addCriterion("lspz not between", value1, value2, "lspz");
            return (Criteria) this;
        }

        public Criteria andHwxzIsNull() {
            addCriterion("hwxz is null");
            return (Criteria) this;
        }

        public Criteria andHwxzIsNotNull() {
            addCriterion("hwxz is not null");
            return (Criteria) this;
        }

        public Criteria andHwxzEqualTo(Integer value) {
            addCriterion("hwxz =", value, "hwxz");
            return (Criteria) this;
        }

        public Criteria andHwxzNotEqualTo(Integer value) {
            addCriterion("hwxz <>", value, "hwxz");
            return (Criteria) this;
        }

        public Criteria andHwxzGreaterThan(Integer value) {
            addCriterion("hwxz >", value, "hwxz");
            return (Criteria) this;
        }

        public Criteria andHwxzGreaterThanOrEqualTo(Integer value) {
            addCriterion("hwxz >=", value, "hwxz");
            return (Criteria) this;
        }

        public Criteria andHwxzLessThan(Integer value) {
            addCriterion("hwxz <", value, "hwxz");
            return (Criteria) this;
        }

        public Criteria andHwxzLessThanOrEqualTo(Integer value) {
            addCriterion("hwxz <=", value, "hwxz");
            return (Criteria) this;
        }

        public Criteria andHwxzIn(List<Integer> values) {
            addCriterion("hwxz in", values, "hwxz");
            return (Criteria) this;
        }

        public Criteria andHwxzNotIn(List<Integer> values) {
            addCriterion("hwxz not in", values, "hwxz");
            return (Criteria) this;
        }

        public Criteria andHwxzBetween(Integer value1, Integer value2) {
            addCriterion("hwxz between", value1, value2, "hwxz");
            return (Criteria) this;
        }

        public Criteria andHwxzNotBetween(Integer value1, Integer value2) {
            addCriterion("hwxz not between", value1, value2, "hwxz");
            return (Criteria) this;
        }

        public Criteria andLevelIsNull() {
            addCriterion("level is null");
            return (Criteria) this;
        }

        public Criteria andLevelIsNotNull() {
            addCriterion("level is not null");
            return (Criteria) this;
        }

        public Criteria andLevelEqualTo(Integer value) {
            addCriterion("level =", value, "level");
            return (Criteria) this;
        }

        public Criteria andLevelNotEqualTo(Integer value) {
            addCriterion("level <>", value, "level");
            return (Criteria) this;
        }

        public Criteria andLevelGreaterThan(Integer value) {
            addCriterion("level >", value, "level");
            return (Criteria) this;
        }

        public Criteria andLevelGreaterThanOrEqualTo(Integer value) {
            addCriterion("level >=", value, "level");
            return (Criteria) this;
        }

        public Criteria andLevelLessThan(Integer value) {
            addCriterion("level <", value, "level");
            return (Criteria) this;
        }

        public Criteria andLevelLessThanOrEqualTo(Integer value) {
            addCriterion("level <=", value, "level");
            return (Criteria) this;
        }

        public Criteria andLevelIn(List<Integer> values) {
            addCriterion("level in", values, "level");
            return (Criteria) this;
        }

        public Criteria andLevelNotIn(List<Integer> values) {
            addCriterion("level not in", values, "level");
            return (Criteria) this;
        }

        public Criteria andLevelBetween(Integer value1, Integer value2) {
            addCriterion("level between", value1, value2, "level");
            return (Criteria) this;
        }

        public Criteria andLevelNotBetween(Integer value1, Integer value2) {
            addCriterion("level not between", value1, value2, "level");
            return (Criteria) this;
        }

        public Criteria andRqIsNull() {
            addCriterion("rq is null");
            return (Criteria) this;
        }

        public Criteria andRqIsNotNull() {
            addCriterion("rq is not null");
            return (Criteria) this;
        }

        public Criteria andRqEqualTo(String value) {
            addCriterion("rq =", value, "rq");
            return (Criteria) this;
        }

        public Criteria andRqNotEqualTo(String value) {
            addCriterion("rq <>", value, "rq");
            return (Criteria) this;
        }

        public Criteria andRqGreaterThan(String value) {
            addCriterion("rq >", value, "rq");
            return (Criteria) this;
        }

        public Criteria andRqGreaterThanOrEqualTo(String value) {
            addCriterion("rq >=", value, "rq");
            return (Criteria) this;
        }

        public Criteria andRqLessThan(String value) {
            addCriterion("rq <", value, "rq");
            return (Criteria) this;
        }

        public Criteria andRqLessThanOrEqualTo(String value) {
            addCriterion("rq <=", value, "rq");
            return (Criteria) this;
        }

        public Criteria andRqLike(String value) {
            addCriterion("rq like", value, "rq");
            return (Criteria) this;
        }

        public Criteria andRqNotLike(String value) {
            addCriterion("rq not like", value, "rq");
            return (Criteria) this;
        }

        public Criteria andRqIn(List<String> values) {
            addCriterion("rq in", values, "rq");
            return (Criteria) this;
        }

        public Criteria andRqNotIn(List<String> values) {
            addCriterion("rq not in", values, "rq");
            return (Criteria) this;
        }

        public Criteria andRqBetween(String value1, String value2) {
            addCriterion("rq between", value1, value2, "rq");
            return (Criteria) this;
        }

        public Criteria andRqNotBetween(String value1, String value2) {
            addCriterion("rq not between", value1, value2, "rq");
            return (Criteria) this;
        }

        public Criteria andRqDateIsNull() {
            addCriterion("rq_date is null");
            return (Criteria) this;
        }

        public Criteria andRqDateIsNotNull() {
            addCriterion("rq_date is not null");
            return (Criteria) this;
        }

        public Criteria andRqDateEqualTo(Date value) {
            addCriterion("rq_date =", value, "rqDate");
            return (Criteria) this;
        }

        public Criteria andRqDateNotEqualTo(Date value) {
            addCriterion("rq_date <>", value, "rqDate");
            return (Criteria) this;
        }

        public Criteria andRqDateGreaterThan(Date value) {
            addCriterion("rq_date >", value, "rqDate");
            return (Criteria) this;
        }

        public Criteria andRqDateGreaterThanOrEqualTo(Date value) {
            addCriterion("rq_date >=", value, "rqDate");
            return (Criteria) this;
        }

        public Criteria andRqDateLessThan(Date value) {
            addCriterion("rq_date <", value, "rqDate");
            return (Criteria) this;
        }

        public Criteria andRqDateLessThanOrEqualTo(Date value) {
            addCriterion("rq_date <=", value, "rqDate");
            return (Criteria) this;
        }

        public Criteria andRqDateIn(List<Date> values) {
            addCriterion("rq_date in", values, "rqDate");
            return (Criteria) this;
        }

        public Criteria andRqDateNotIn(List<Date> values) {
            addCriterion("rq_date not in", values, "rqDate");
            return (Criteria) this;
        }

        public Criteria andRqDateBetween(Date value1, Date value2) {
            addCriterion("rq_date between", value1, value2, "rqDate");
            return (Criteria) this;
        }

        public Criteria andRqDateNotBetween(Date value1, Date value2) {
            addCriterion("rq_date not between", value1, value2, "rqDate");
            return (Criteria) this;
        }

        public Criteria andSrslIsNull() {
            addCriterion("srsl is null");
            return (Criteria) this;
        }

        public Criteria andSrslIsNotNull() {
            addCriterion("srsl is not null");
            return (Criteria) this;
        }

        public Criteria andSrslEqualTo(BigDecimal value) {
            addCriterion("srsl =", value, "srsl");
            return (Criteria) this;
        }

        public Criteria andSrslNotEqualTo(BigDecimal value) {
            addCriterion("srsl <>", value, "srsl");
            return (Criteria) this;
        }

        public Criteria andSrslGreaterThan(BigDecimal value) {
            addCriterion("srsl >", value, "srsl");
            return (Criteria) this;
        }

        public Criteria andSrslGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("srsl >=", value, "srsl");
            return (Criteria) this;
        }

        public Criteria andSrslLessThan(BigDecimal value) {
            addCriterion("srsl <", value, "srsl");
            return (Criteria) this;
        }

        public Criteria andSrslLessThanOrEqualTo(BigDecimal value) {
            addCriterion("srsl <=", value, "srsl");
            return (Criteria) this;
        }

        public Criteria andSrslIn(List<BigDecimal> values) {
            addCriterion("srsl in", values, "srsl");
            return (Criteria) this;
        }

        public Criteria andSrslNotIn(List<BigDecimal> values) {
            addCriterion("srsl not in", values, "srsl");
            return (Criteria) this;
        }

        public Criteria andSrslBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("srsl between", value1, value2, "srsl");
            return (Criteria) this;
        }

        public Criteria andSrslNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("srsl not between", value1, value2, "srsl");
            return (Criteria) this;
        }

        public Criteria andZcslIsNull() {
            addCriterion("zcsl is null");
            return (Criteria) this;
        }

        public Criteria andZcslIsNotNull() {
            addCriterion("zcsl is not null");
            return (Criteria) this;
        }

        public Criteria andZcslEqualTo(BigDecimal value) {
            addCriterion("zcsl =", value, "zcsl");
            return (Criteria) this;
        }

        public Criteria andZcslNotEqualTo(BigDecimal value) {
            addCriterion("zcsl <>", value, "zcsl");
            return (Criteria) this;
        }

        public Criteria andZcslGreaterThan(BigDecimal value) {
            addCriterion("zcsl >", value, "zcsl");
            return (Criteria) this;
        }

        public Criteria andZcslGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("zcsl >=", value, "zcsl");
            return (Criteria) this;
        }

        public Criteria andZcslLessThan(BigDecimal value) {
            addCriterion("zcsl <", value, "zcsl");
            return (Criteria) this;
        }

        public Criteria andZcslLessThanOrEqualTo(BigDecimal value) {
            addCriterion("zcsl <=", value, "zcsl");
            return (Criteria) this;
        }

        public Criteria andZcslIn(List<BigDecimal> values) {
            addCriterion("zcsl in", values, "zcsl");
            return (Criteria) this;
        }

        public Criteria andZcslNotIn(List<BigDecimal> values) {
            addCriterion("zcsl not in", values, "zcsl");
            return (Criteria) this;
        }

        public Criteria andZcslBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("zcsl between", value1, value2, "zcsl");
            return (Criteria) this;
        }

        public Criteria andZcslNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("zcsl not between", value1, value2, "zcsl");
            return (Criteria) this;
        }

        public Criteria andKcslIsNull() {
            addCriterion("kcsl is null");
            return (Criteria) this;
        }

        public Criteria andKcslIsNotNull() {
            addCriterion("kcsl is not null");
            return (Criteria) this;
        }

        public Criteria andKcslEqualTo(BigDecimal value) {
            addCriterion("kcsl =", value, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslNotEqualTo(BigDecimal value) {
            addCriterion("kcsl <>", value, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslGreaterThan(BigDecimal value) {
            addCriterion("kcsl >", value, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("kcsl >=", value, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslLessThan(BigDecimal value) {
            addCriterion("kcsl <", value, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslLessThanOrEqualTo(BigDecimal value) {
            addCriterion("kcsl <=", value, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslIn(List<BigDecimal> values) {
            addCriterion("kcsl in", values, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslNotIn(List<BigDecimal> values) {
            addCriterion("kcsl not in", values, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("kcsl between", value1, value2, "kcsl");
            return (Criteria) this;
        }

        public Criteria andKcslNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("kcsl not between", value1, value2, "kcsl");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("remark is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("remark is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("remark =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("remark <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("remark >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("remark >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("remark <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("remark <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("remark like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("remark not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("remark in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("remark not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("remark between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("remark not between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andAccountingPersonIsNull() {
            addCriterion("accounting_person is null");
            return (Criteria) this;
        }

        public Criteria andAccountingPersonIsNotNull() {
            addCriterion("accounting_person is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingPersonEqualTo(String value) {
            addCriterion("accounting_person =", value, "accountingPerson");
            return (Criteria) this;
        }

        public Criteria andAccountingPersonNotEqualTo(String value) {
            addCriterion("accounting_person <>", value, "accountingPerson");
            return (Criteria) this;
        }

        public Criteria andAccountingPersonGreaterThan(String value) {
            addCriterion("accounting_person >", value, "accountingPerson");
            return (Criteria) this;
        }

        public Criteria andAccountingPersonGreaterThanOrEqualTo(String value) {
            addCriterion("accounting_person >=", value, "accountingPerson");
            return (Criteria) this;
        }

        public Criteria andAccountingPersonLessThan(String value) {
            addCriterion("accounting_person <", value, "accountingPerson");
            return (Criteria) this;
        }

        public Criteria andAccountingPersonLessThanOrEqualTo(String value) {
            addCriterion("accounting_person <=", value, "accountingPerson");
            return (Criteria) this;
        }

        public Criteria andAccountingPersonLike(String value) {
            addCriterion("accounting_person like", value, "accountingPerson");
            return (Criteria) this;
        }

        public Criteria andAccountingPersonNotLike(String value) {
            addCriterion("accounting_person not like", value, "accountingPerson");
            return (Criteria) this;
        }

        public Criteria andAccountingPersonIn(List<String> values) {
            addCriterion("accounting_person in", values, "accountingPerson");
            return (Criteria) this;
        }

        public Criteria andAccountingPersonNotIn(List<String> values) {
            addCriterion("accounting_person not in", values, "accountingPerson");
            return (Criteria) this;
        }

        public Criteria andAccountingPersonBetween(String value1, String value2) {
            addCriterion("accounting_person between", value1, value2, "accountingPerson");
            return (Criteria) this;
        }

        public Criteria andAccountingPersonNotBetween(String value1, String value2) {
            addCriterion("accounting_person not between", value1, value2, "accountingPerson");
            return (Criteria) this;
        }

        public Criteria andAccountingDateIsNull() {
            addCriterion("accounting_date is null");
            return (Criteria) this;
        }

        public Criteria andAccountingDateIsNotNull() {
            addCriterion("accounting_date is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingDateEqualTo(Date value) {
            addCriterion("accounting_date =", value, "accountingDate");
            return (Criteria) this;
        }

        public Criteria andAccountingDateNotEqualTo(Date value) {
            addCriterion("accounting_date <>", value, "accountingDate");
            return (Criteria) this;
        }

        public Criteria andAccountingDateGreaterThan(Date value) {
            addCriterion("accounting_date >", value, "accountingDate");
            return (Criteria) this;
        }

        public Criteria andAccountingDateGreaterThanOrEqualTo(Date value) {
            addCriterion("accounting_date >=", value, "accountingDate");
            return (Criteria) this;
        }

        public Criteria andAccountingDateLessThan(Date value) {
            addCriterion("accounting_date <", value, "accountingDate");
            return (Criteria) this;
        }

        public Criteria andAccountingDateLessThanOrEqualTo(Date value) {
            addCriterion("accounting_date <=", value, "accountingDate");
            return (Criteria) this;
        }

        public Criteria andAccountingDateIn(List<Date> values) {
            addCriterion("accounting_date in", values, "accountingDate");
            return (Criteria) this;
        }

        public Criteria andAccountingDateNotIn(List<Date> values) {
            addCriterion("accounting_date not in", values, "accountingDate");
            return (Criteria) this;
        }

        public Criteria andAccountingDateBetween(Date value1, Date value2) {
            addCriterion("accounting_date between", value1, value2, "accountingDate");
            return (Criteria) this;
        }

        public Criteria andAccountingDateNotBetween(Date value1, Date value2) {
            addCriterion("accounting_date not between", value1, value2, "accountingDate");
            return (Criteria) this;
        }

        public Criteria andAuditorIsNull() {
            addCriterion("auditor is null");
            return (Criteria) this;
        }

        public Criteria andAuditorIsNotNull() {
            addCriterion("auditor is not null");
            return (Criteria) this;
        }

        public Criteria andAuditorEqualTo(String value) {
            addCriterion("auditor =", value, "auditor");
            return (Criteria) this;
        }

        public Criteria andAuditorNotEqualTo(String value) {
            addCriterion("auditor <>", value, "auditor");
            return (Criteria) this;
        }

        public Criteria andAuditorGreaterThan(String value) {
            addCriterion("auditor >", value, "auditor");
            return (Criteria) this;
        }

        public Criteria andAuditorGreaterThanOrEqualTo(String value) {
            addCriterion("auditor >=", value, "auditor");
            return (Criteria) this;
        }

        public Criteria andAuditorLessThan(String value) {
            addCriterion("auditor <", value, "auditor");
            return (Criteria) this;
        }

        public Criteria andAuditorLessThanOrEqualTo(String value) {
            addCriterion("auditor <=", value, "auditor");
            return (Criteria) this;
        }

        public Criteria andAuditorLike(String value) {
            addCriterion("auditor like", value, "auditor");
            return (Criteria) this;
        }

        public Criteria andAuditorNotLike(String value) {
            addCriterion("auditor not like", value, "auditor");
            return (Criteria) this;
        }

        public Criteria andAuditorIn(List<String> values) {
            addCriterion("auditor in", values, "auditor");
            return (Criteria) this;
        }

        public Criteria andAuditorNotIn(List<String> values) {
            addCriterion("auditor not in", values, "auditor");
            return (Criteria) this;
        }

        public Criteria andAuditorBetween(String value1, String value2) {
            addCriterion("auditor between", value1, value2, "auditor");
            return (Criteria) this;
        }

        public Criteria andAuditorNotBetween(String value1, String value2) {
            addCriterion("auditor not between", value1, value2, "auditor");
            return (Criteria) this;
        }

        public Criteria andAuditorDateIsNull() {
            addCriterion("auditor_date is null");
            return (Criteria) this;
        }

        public Criteria andAuditorDateIsNotNull() {
            addCriterion("auditor_date is not null");
            return (Criteria) this;
        }

        public Criteria andAuditorDateEqualTo(Date value) {
            addCriterion("auditor_date =", value, "auditorDate");
            return (Criteria) this;
        }

        public Criteria andAuditorDateNotEqualTo(Date value) {
            addCriterion("auditor_date <>", value, "auditorDate");
            return (Criteria) this;
        }

        public Criteria andAuditorDateGreaterThan(Date value) {
            addCriterion("auditor_date >", value, "auditorDate");
            return (Criteria) this;
        }

        public Criteria andAuditorDateGreaterThanOrEqualTo(Date value) {
            addCriterion("auditor_date >=", value, "auditorDate");
            return (Criteria) this;
        }

        public Criteria andAuditorDateLessThan(Date value) {
            addCriterion("auditor_date <", value, "auditorDate");
            return (Criteria) this;
        }

        public Criteria andAuditorDateLessThanOrEqualTo(Date value) {
            addCriterion("auditor_date <=", value, "auditorDate");
            return (Criteria) this;
        }

        public Criteria andAuditorDateIn(List<Date> values) {
            addCriterion("auditor_date in", values, "auditorDate");
            return (Criteria) this;
        }

        public Criteria andAuditorDateNotIn(List<Date> values) {
            addCriterion("auditor_date not in", values, "auditorDate");
            return (Criteria) this;
        }

        public Criteria andAuditorDateBetween(Date value1, Date value2) {
            addCriterion("auditor_date between", value1, value2, "auditorDate");
            return (Criteria) this;
        }

        public Criteria andAuditorDateNotBetween(Date value1, Date value2) {
            addCriterion("auditor_date not between", value1, value2, "auditorDate");
            return (Criteria) this;
        }

        public Criteria andAuditorOpinionIsNull() {
            addCriterion("auditor_opinion is null");
            return (Criteria) this;
        }

        public Criteria andAuditorOpinionIsNotNull() {
            addCriterion("auditor_opinion is not null");
            return (Criteria) this;
        }

        public Criteria andAuditorOpinionEqualTo(String value) {
            addCriterion("auditor_opinion =", value, "auditorOpinion");
            return (Criteria) this;
        }

        public Criteria andAuditorOpinionNotEqualTo(String value) {
            addCriterion("auditor_opinion <>", value, "auditorOpinion");
            return (Criteria) this;
        }

        public Criteria andAuditorOpinionGreaterThan(String value) {
            addCriterion("auditor_opinion >", value, "auditorOpinion");
            return (Criteria) this;
        }

        public Criteria andAuditorOpinionGreaterThanOrEqualTo(String value) {
            addCriterion("auditor_opinion >=", value, "auditorOpinion");
            return (Criteria) this;
        }

        public Criteria andAuditorOpinionLessThan(String value) {
            addCriterion("auditor_opinion <", value, "auditorOpinion");
            return (Criteria) this;
        }

        public Criteria andAuditorOpinionLessThanOrEqualTo(String value) {
            addCriterion("auditor_opinion <=", value, "auditorOpinion");
            return (Criteria) this;
        }

        public Criteria andAuditorOpinionLike(String value) {
            addCriterion("auditor_opinion like", value, "auditorOpinion");
            return (Criteria) this;
        }

        public Criteria andAuditorOpinionNotLike(String value) {
            addCriterion("auditor_opinion not like", value, "auditorOpinion");
            return (Criteria) this;
        }

        public Criteria andAuditorOpinionIn(List<String> values) {
            addCriterion("auditor_opinion in", values, "auditorOpinion");
            return (Criteria) this;
        }

        public Criteria andAuditorOpinionNotIn(List<String> values) {
            addCriterion("auditor_opinion not in", values, "auditorOpinion");
            return (Criteria) this;
        }

        public Criteria andAuditorOpinionBetween(String value1, String value2) {
            addCriterion("auditor_opinion between", value1, value2, "auditorOpinion");
            return (Criteria) this;
        }

        public Criteria andAuditorOpinionNotBetween(String value1, String value2) {
            addCriterion("auditor_opinion not between", value1, value2, "auditorOpinion");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNull() {
            addCriterion("updatetime is null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNotNull() {
            addCriterion("updatetime is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeEqualTo(Date value) {
            addCriterion("updatetime =", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotEqualTo(Date value) {
            addCriterion("updatetime <>", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThan(Date value) {
            addCriterion("updatetime >", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThanOrEqualTo(Date value) {
            addCriterion("updatetime >=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThan(Date value) {
            addCriterion("updatetime <", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThanOrEqualTo(Date value) {
            addCriterion("updatetime <=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIn(List<Date> values) {
            addCriterion("updatetime in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotIn(List<Date> values) {
            addCriterion("updatetime not in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeBetween(Date value1, Date value2) {
            addCriterion("updatetime between", value1, value2, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotBetween(Date value1, Date value2) {
            addCriterion("updatetime not between", value1, value2, "updatetime");
            return (Criteria) this;
        }
    }

    /**
     * storage_account_record
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * storage_account_record 2019-06-21
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}