package com.chinaitop.depot.keeperPrint.model;

import java.math.BigDecimal;
import java.util.Date;

public class StorageAccountPrintTotalDetail {
    private Integer id;

    private Integer orgId;

    private Integer totalId;

    private BigDecimal rmb;

    private BigDecimal increase;

    private BigDecimal reduce;

    private BigDecimal balance;

    private Date updatetime;

    /**
     * 保管账(打印)-统计账-子表数据
     * @return id 保管账(打印)-统计账-子表数据
     */
    public Integer getId() {
        return id;
    }

    /**
     * 保管账(打印)-统计账-子表数据
     * @param id 保管账(打印)-统计账-子表数据
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 粮库ID
     * @return org_id 粮库ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 粮库ID
     * @param orgId 粮库ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 统计账id
     * @return total_id 统计账id
     */
    public Integer getTotalId() {
        return totalId;
    }

    /**
     * 统计账id
     * @param totalId 统计账id
     */
    public void setTotalId(Integer totalId) {
        this.totalId = totalId;
    }

    /**
     * 粮食品种
     * @return rmb 粮食品种
     */
    public BigDecimal getRmb() {
        return rmb;
    }

    /**
     * 粮食品种
     * @param rmb 粮食品种
     */
    public void setRmb(BigDecimal rmb) {
        this.rmb = rmb;
    }

    /**
     * 增加(Kg)
     * @return increase 增加(Kg)
     */
    public BigDecimal getIncrease() {
        return increase;
    }

    /**
     * 增加(Kg)
     * @param increase 增加(Kg)
     */
    public void setIncrease(BigDecimal increase) {
        this.increase = increase;
    }

    /**
     * 减少(Kg)
     * @return reduce 减少(Kg)
     */
    public BigDecimal getReduce() {
        return reduce;
    }

    /**
     * 减少(Kg)
     * @param reduce 减少(Kg)
     */
    public void setReduce(BigDecimal reduce) {
        this.reduce = reduce;
    }

    /**
     * 结存(Kg)
     * @return balance 结存(Kg)
     */
    public BigDecimal getBalance() {
        return balance;
    }

    /**
     * 结存(Kg)
     * @param balance 结存(Kg)
     */
    public void setBalance(BigDecimal balance) {
        this.balance = balance;
    }

    /**
     * 
     * @return updatetime 
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 
     * @param updatetime 
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}