package com.chinaitop.depot.keeperAccount.mapper;

import com.chinaitop.depot.keeperAccount.model.StorageAccountRecord;
import com.chinaitop.depot.keeperAccount.model.StorageAccountRecordExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface StorageAccountRecordMapper {
    int countByExample(StorageAccountRecordExample example);

    int deleteByExample(StorageAccountRecordExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(StorageAccountRecord record);

    int insertSelective(StorageAccountRecord record);

    List<StorageAccountRecord> selectByExample(StorageAccountRecordExample example);

    StorageAccountRecord selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") StorageAccountRecord record, @Param("example") StorageAccountRecordExample example);

    int updateByExample(@Param("record") StorageAccountRecord record, @Param("example") StorageAccountRecordExample example);

    int updateByPrimaryKeySelective(StorageAccountRecord record);

    int updateByPrimaryKey(StorageAccountRecord record);

    /**
     * 保管总账查询列表
     * @param map
     * @return
     */
    List<Map<String, Object>> selectKeepSumAccount(Map<String, Object> map);

    /**
     * 查询当前条件下的总账分组类别
     * @param map
     * @return
     */
    List<Map<String, Object>> selectAccountGroup(Map<String, Object> map);

    /**
     * 查询保管总账查询列表的库存数量
     * @param map
     * @return
     */
    List<Map<String, Object>> selectKCSL(Map<String, Object> map);

    Map<String, Object> getCountSumAccountzl(Map<String, Object> map);
}